package graphql

import (
	"context"
	"gshopper.com/gshopify/customer/graphql/generated"
)

func (r *queryResolver) Customer(ctx context.Context, t string) (*generated.Customer, error) {
	if _, _, err := r.decodeAccessToken(ctx, t); err != nil {
		return nil, err
	}

	return r.customer(ctx, t)
}
